Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039938
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2019-01-14 11:152019-03-28 14:55
ReportercaristuView Statuspublic 
Assigned Tocaristu 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q2
StatusclosedFix in branchFixed in SCM revisionb4c3e3431595
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toalostale
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039938: It is not needed to keep the URL target query string in session

DescriptionThe URL target query string used to directly open a particular document was being stored in Tomcat session in order to avoid losing it during the Login process, when the login was required to access to that document.

With the fix for issue 0039885 it is no longer needed to keep the URL target query string in session. Now it is directly kept and retrieved from the URL when needed.
Steps To ReproduceIn description
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0039885 closedcaristu The link to a concrete document of Openbravo is not followed if there is not session on the browser 
related to feature request 0035553 closedcaristu Improve scalability of the login process 

-  Notes
(0108951)
hgbot (developer)
2019-01-14 16:04

Repository: erp/devel/pi
Changeset: b4c3e3431595e8189ef32a19a3b49665ba571dd1
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Mon Jan 14 16:03:40 2019 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/b4c3e3431595e8189ef32a19a3b49665ba571dd1 [^]

fixes issue 39938: URL query string is no longer kept in session

---
M src-core/src/org/openbravo/base/VariablesBase.java
M src-test/src/org/openbravo/test/system/Issue29934Test.java
M src/org/openbravo/authentication/basic/DefaultAuthenticationManager.java
---
(0109011)
alostale (developer)
2019-01-18 10:02

reviewed + tested
(0110723)
hudsonbot (developer)
2019-03-28 14:55

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b2fbc1588df4 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-01-14 11:15 caristu New Issue
2019-01-14 11:15 caristu Assigned To => platform
2019-01-14 11:15 caristu Modules => Core
2019-01-14 11:15 caristu Triggers an Emergency Pack => No
2019-01-14 11:15 caristu Relationship added related to 0039885
2019-01-14 11:15 caristu Assigned To platform => caristu
2019-01-14 11:15 caristu Review Assigned To => alostale
2019-01-14 16:04 hgbot Checkin
2019-01-14 16:04 hgbot Note Added: 0108951
2019-01-14 16:04 hgbot Status new => resolved
2019-01-14 16:04 hgbot Resolution open => fixed
2019-01-14 16:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/b4c3e3431595e8189ef32a19a3b49665ba571dd1 [^]
2019-01-18 10:01 alostale Relationship added related to 0035553
2019-01-18 10:02 alostale Note Added: 0109011
2019-01-18 10:02 alostale Status resolved => closed
2019-01-18 10:02 alostale Fixed in Version => 3.0PR19Q2
2019-03-28 14:55 hudsonbot Checkin
2019-03-28 14:55 hudsonbot Note Added: 0110723


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker